<template>
  <GetPos
    :dialogVisible.sync="dialogTableVisible"
    device=""
    :devicePos="devicePos"
    @close="dialogcancelFun"
    @getPath="getPath"
  />
</template>

<script>
  import GetPos from '@/components/GetPos';
  export default {
    name: "index",
    components:{
      GetPos
    },
    data(){
      return{
        dialogTableVisible: false,
        devicePos: []
      }
    },
    methods: {
      dialogcancelFun() {
        this.dialogTableVisible = false;
        //this.$parent.dialogTableVisible = false;
      },
      getPath(res){
        //确认选择经纬度
        this.devicePos = res;
        this.$parent.form.longitude = res[0];
        this.$parent.form.latitude = res[1];
      },
    }
  }
</script>

<style scoped>

</style>
